Skip to main content
GET
/
api
/
webhook
/
get-webhooks
curl -X GET 'https://crypto-api.yativo.com/api/webhook/get-webhooks' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "data": {
    "webhooks": [
      {
        "_id": "whk_67e91cbe7747bdb0ba25415f",
        "webhook_name": "Production Webhook",
        "webhook_url": "https://your-app.com/webhooks/yativo",
        "account_id": "acc_6615c3b2e55d9ff7bc0a5678",
        "user_id": "usr_6615c3a1e55d9ff7bc0a1234",
        "version_id": "1",
        "receive_all_events": "true",
        "whitelist_ips": [],
        "status": "active",
        "createdAt": "2026-01-30T10:28:14.829Z",
        "updatedAt": "2026-03-28T10:04:41.998Z"
      }
    ],
    "pagination": {"total": 1, "page": 1, "limit": 20, "pages": 1}
  },
  "status": true,
  "message": "Webhooks retrieved successfully"
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
id
string
required
The ID of the webhook to retrieve.
curl -X GET 'https://crypto-api.yativo.com/api/webhook/get-webhooks' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "data": {
    "webhooks": [
      {
        "_id": "whk_67e91cbe7747bdb0ba25415f",
        "webhook_name": "Production Webhook",
        "webhook_url": "https://your-app.com/webhooks/yativo",
        "account_id": "acc_6615c3b2e55d9ff7bc0a5678",
        "user_id": "usr_6615c3a1e55d9ff7bc0a1234",
        "version_id": "1",
        "receive_all_events": "true",
        "whitelist_ips": [],
        "status": "active",
        "createdAt": "2026-01-30T10:28:14.829Z",
        "updatedAt": "2026-03-28T10:04:41.998Z"
      }
    ],
    "pagination": {"total": 1, "page": 1, "limit": 20, "pages": 1}
  },
  "status": true,
  "message": "Webhooks retrieved successfully"
}